Create Email Sender Identity
curl --request POST \
--url https://api.getoutbox.ai/email/senders/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_email": "jsmith@example.com",
"company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_name": "<string>",
"reply_to_email": "jsmith@example.com",
"use_default_reply_to": true,
"provider_sender_id": "<string>",
"verification_details": "<unknown>",
"is_default": true,
"is_deleted": true,
"verified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"connection": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.getoutbox.ai/email/senders/"
payload = {
"from_email": "jsmith@example.com",
"company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_name": "<string>",
"reply_to_email": "jsmith@example.com",
"use_default_reply_to": True,
"provider_sender_id": "<string>",
"verification_details": "<unknown>",
"is_default": True,
"is_deleted": True,
"verified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"connection": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from_email: 'jsmith@example.com',
company: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
from_name: '<string>',
reply_to_email: 'jsmith@example.com',
use_default_reply_to: true,
provider_sender_id: '<string>',
verification_details: '<unknown>',
is_default: true,
is_deleted: true,
verified_at: '2023-11-07T05:31:56Z',
created_at: '2023-11-07T05:31:56Z',
connection: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
domain: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.getoutbox.ai/email/senders/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_email": "jsmith@example.com",
"updated_at": "2023-11-07T05:31:56Z",
"company": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_name": "<string>",
"reply_to_email": "jsmith@example.com",
"use_default_reply_to": true,
"provider_sender_id": "<string>",
"verification_details": "<unknown>",
"is_default": true,
"is_deleted": true,
"verified_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"connection": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Email Providers, Domains & Senders
Create Email Sender
Register a new sender identity. In single_email mode the API auto-provisions an SES connection and triggers verification; in domain mode the email must belong to a verified EmailDomain on the company. If the sender is already verified at SendGrid/Resend, the local row is returned as verified immediately.
POST
/
email
/
senders
/
Create Email Sender Identity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Required string length:
1 - 255Maximum string length:
255single_email- Single Emaildomain- Domain
Available options:
single_email, domain Maximum string length:
255pending- Pendingverified- Verifiedfailed- Failed
Available options:
pending, verified, failed Maximum string length:
255Response
Maximum string length:
255Maximum string length:
255single_email- Single Emaildomain- Domain
Available options:
single_email, domain Maximum string length:
255pending- Pendingverified- Verifiedfailed- Failed
Available options:
pending, verified, failed Maximum string length:
255⌘I

